mbed TLS v2.16.5

Data Structures | Macros | Typedefs | Variables
threading.h File Reference

Threading abstraction layer. More...

`#include "config.h"`
`#include <stdlib.h>`
`#include <pthread.h>`
Include dependency graph for threading.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | mbedtls_threading_mutex_t

## Macros
#define | MBEDTLS_ERR_THREADING_FEATURE_UNAVAILABLE -0x001A
#define | MBEDTLS_ERR_THREADING_BAD_INPUT_DATA -0x001C
#define | MBEDTLS_ERR_THREADING_MUTEX_ERROR -0x001E

## Typedefs
typedef struct mbedtls_threading_mutex_t | mbedtls_threading_mutex_t

## Variables
void(* | mbedtls_mutex_init )(mbedtls_threading_mutex_t *mutex)
void(* | mbedtls_mutex_free )(mbedtls_threading_mutex_t *mutex)
int(* | mbedtls_mutex_lock )(mbedtls_threading_mutex_t *mutex)
int(* | mbedtls_mutex_unlock )(mbedtls_threading_mutex_t *mutex)
mbedtls_threading_mutex_t | mbedtls_threading_readdir_mutex
mbedtls_threading_mutex_t | mbedtls_threading_gmtime_mutex

## Detailed Description

Threading abstraction layer.

Definition in file threading.h.

## Macro Definition Documentation

## ◆ MBEDTLS_ERR_THREADING_BAD_INPUT_DATA

#define MBEDTLS_ERR_THREADING_BAD_INPUT_DATA -0x001C

Bad input parameters to function.

Definition at line 43 of file threading.h.

## ◆ MBEDTLS_ERR_THREADING_FEATURE_UNAVAILABLE

#define MBEDTLS_ERR_THREADING_FEATURE_UNAVAILABLE -0x001A

The selected feature is not available.

Definition at line 41 of file threading.h.

## ◆ MBEDTLS_ERR_THREADING_MUTEX_ERROR

#define MBEDTLS_ERR_THREADING_MUTEX_ERROR -0x001E

Locking / unlocking / free failed with error code.

Definition at line 44 of file threading.h.

## Typedef Documentation

## ◆ mbedtls_threading_mutex_t

typedef struct mbedtls_threading_mutex_t mbedtls_threading_mutex_t

## Variable Documentation

## ◆ mbedtls_mutex_free

void(* mbedtls_mutex_free) (mbedtls_threading_mutex_t *mutex)

## ◆ mbedtls_mutex_init

void(* mbedtls_mutex_init) (mbedtls_threading_mutex_t *mutex)

## ◆ mbedtls_mutex_lock

int(* mbedtls_mutex_lock) (mbedtls_threading_mutex_t *mutex)

## ◆ mbedtls_mutex_unlock

int(* mbedtls_mutex_unlock) (mbedtls_threading_mutex_t *mutex)

## ◆ mbedtls_threading_gmtime_mutex

mbedtls_threading_mutex_t mbedtls_threading_gmtime_mutex

## ◆ mbedtls_threading_readdir_mutex

mbedtls_threading_mutex_t mbedtls_threading_readdir_mutex